local mPhotonView,mJavaBridge = ...

local mCurrentPage = 0
local mPageCount = 0
local mBinder = nil

function init()
	mBinder = mPhotonView:getParser():getBinder()
	mPageCount = tonumber(mBinder:get("pageCount"))

	change()
end

function change()
	mCurrentPage = getChangeNum(mCurrentPage)

	for i = 1, 6 do
		local data = {}
		data['title_text_' .. i] = mBinder:get(mCurrentPage .. "_" .. i .. "_" .. "appName")
		data['desc_text_' .. i] = mBinder:get(mCurrentPage .. "_" .. i .. "_" .. "editInfo")
		data['size_text_' .. i] = mBinder:get(mCurrentPage .. "_" .. i .. "_" .. "size")
		data['url_' .. i] = mBinder:get(mCurrentPage .. "_" .. i .. "_" .. "iconUrl")
		data['model_' .. i] = mBinder:get(mCurrentPage .. "_" .. i .. "_" .. "appModle")
		data['recommendID_' .. i] = mBinder:get(mCurrentPage .. "_" .. i .. "_" .. "recommendId")
		data['appid_' .. i] = mBinder:get(mCurrentPage .. "_" .. i .. "_" .. "appId")
		data['packagename_' .. i] = mBinder:get(mCurrentPage .. "_" .. i .. "_" .. "pkgName")
		data['title'] = mBinder:get(mCurrentPage .. "_" .. "title")
		
		mBinder:update(data)
	end
end

function getChangeNum(current)
	if( current >= mPageCount ) then
		return 1;
	end

	return current + 1
end