local mPhotonView,mJavaBridge = ...

function init_cate_rank()
	local params = {}
	local cateRankTitle_1 = mPhotonView:getParser():getBinder():get("cateRankTitle_1")
	local cateRankUrl_1 = mPhotonView:getParser():getBinder():get("cateRankUrl_1")
	local cateRankTitle_2 = mPhotonView:getParser():getBinder():get("cateRankTitle_2")
	local cateRankUrl_2 = mPhotonView:getParser():getBinder():get("cateRankUrl_2")

	local vPlusActionUrl = mPhotonView:getParser():getBinder():get("vPlusActionUrl")
	local freeFlowActionUrl = mPhotonView:getParser():getBinder():get("freeFlowActionUrl")
	local starAppUrl = mPhotonView:getParser():getBinder():get("starAppUrl")
	local isStarApp = mPhotonView:getParser():getBinder():get("isStarApp")
	local authoritised = mPhotonView:getParser():getBinder():get("authoritised")

	if (string_not_empty(cateRankTitle_1)) then
		params["text_1"] = cateRankTitle_1
		params["url_1"] = cateRankUrl_1
		params["slot_1"] = "91_001"
	end

	local num = math.floor(table_leng(params)/3) + 1
	if (string_not_empty(cateRankTitle_2) and num < 3) then
		params["text_"..num] = cateRankTitle_2
		params["url_"..num] = cateRankUrl_2
		params["slot_"..num] = "91_002"
	end

	num = math.floor(table_leng(params)/3) + 1
	if (string_not_empty(freeFlowActionUrl) and num < 3 ) then
		params["text_"..num] = "王卡免流"
		params["url_"..num] = freeFlowActionUrl
		params["slot_"..num] = "06_002"
	end

	num = math.floor(table_leng(params)/3) + 1
	if (isStarApp == "1" and num < 3) then
		params["text_"..num] = "星APP"
		params["url_"..num] = starAppUrl
		params["slot_"..num] = "06_001"
	end
	
	num = math.floor(table_leng(params)/3) + 1
	if (string_not_empty(vPlusActionUrl) and num < 3) then
		params["text_"..num] = "V+特权"
		params["url_"..num] = vPlusActionUrl
		params["slot_"..num] = "06_003"
	end

	local count = math.floor(table_leng(params)/3)
	for i=1,count do
		mPhotonView:getParser():getBinder():update("cateTitle"..i, params["text_"..i])
		mPhotonView:getParser():getBinder():update("cateUrl"..i, params["url_"..i])
		mPhotonView:getParser():getBinder():update("cateSlot"..i, params["slot_"..i])
	 end
end

function table_leng(t)
	local leng=0
	for k, v in pairs(t) do
	  leng=leng+1
	end
	return leng;
end

function string_not_empty(str)
	if(str ~= nil and string.len(str)>0) then
		return true
	else
		return false
	end
end