local mPhotonView,mJavaBridge = ...


local mainLayout = nil
local cardSlotId;

function init()
    mRecyclerView         = mPhotonView:getParser():getChildView("recyclerView")
    mainLayout            = mPhotonView:getParser():getChildView("main_layout")
end

function updateValue()

    local totalSubViewNum = mPhotonView:getParser():getBinder():get("totalSubViewNum")
    local totalItem = mPhotonView:getParser():getBinder():get("totalItem")
    
    local binder =  mPhotonView:getParser():getBinder()
    local newSlotId =  binder:get("slotId")
    cardSlotId = newSlotId

    local num = tonumber(totalItem)
    if (num == nil or num == 0) then
        return
    end

    mRecyclerView:getView():clear()
    mRecyclerView:getView():setMaxFlingCount(5000)

    local realDataList = {}
    local realViewList = {}

    local keyIndex = 1
    for index=1,num do

        --filter_install如果不为空 表示不需要过滤
        local pkgName = binder:get("item_pkgName"..index)
        if (pkgName ~= nil or filter_install ~= nil) then
            local data = {}
            data["app_click_jump"]  = binder:get("app_click_jump"..index)
            data["item_icon"]       = binder:get("item_icon"..index)
            data["item_appName"]    = binder:get("item_appName"..index)
            data["item_appSize"]    = binder:get("item_appSize"..index)
            data["item_appDesc"]     = binder:get("item_appDesc"..index)
            data["font_color"] = binder:get("font_color")
            data["appModel"]        = binder:get("appModel"..index)
            data["appid"]           = binder:get("item_appId"..index)
            data["recommendid"]     = binder:get("R"..index)
            data["subPosition"] = getReportPosition(keyIndex)
            data["newSlotId"] = newSlotId
            data["sourceScene"] = binder:get("sourcescene")
            data["sourceSceneSlotId"] = binder:get("sourcesceneslotid")
            realDataList[keyIndex] = data
            realViewList[keyIndex] = "native_appdetail_horiscroll_item_card.xml"
            keyIndex = keyIndex + 1
        end
    end
   
    mRecyclerView:getView():updateData(realViewList, realDataList)

end

function getReportPosition(position) 
    local reportPosition
    reportPosition = "00"..position
    if (position >= 10) then
        reportPosition = "0"..position
    end
    return reportPosition
end

--当卡片滚动显示出来时曝光前五个应用 
function reportFiveApp()
    for index=1,5 do 
        local slotId = cardSlotId.."_-1"
        local data ={}
        data["param"]="slotid:"..slotId..",actionid:100,subposition:"..getReportPosition(index)..",scene:2008,sourcescene:data@sourcescene,sourcesceneslotid:data@sourcesceneslotid,recommendid:data@R"..index..",appid:data@item_appId"..index
        mPhotonView:getParser():getTaskCenter():getActionRunner():run("reportaction",data,data)
    end
end