local mPhotonView,mJavaBridge = ...

local mBinder = nil
local appCount = 0

function load()
    mBinder = mPhotonView:getParser():getBinder()

    addCardItem()
end


function addCardItem()

    appCount = tonumber(mBinder:get("appCount"))

    local j = 0
    local y = 0
	for i = 0, appCount do

	    if(j>=6)
	    then
	        break
	    end


        local data = {}
        data['appId'] = mBinder:get('appId_' .. i)
        data['pkgName'] = mBinder:get('pkgName_' .. i)
        data['appName'] = mBinder:get('appName_' .. i)
        data['iconUrl'] = mBinder:get('iconUrl_' .. i)
        data['desc'] = mBinder:get('desc_' .. i)
        data['sizeStr'] = mBinder:get('sizeStr_' .. i)
        data['AppSimpleDetail'] = mBinder:get('AppSimpleDetail_' .. i)
        data['recommendid'] = mBinder:get('recommendid_' .. i)
        data['scene'] = mBinder:get('scene')
        data['sourcescene'] = mBinder:get('sourcescene')

        local filtermap = {}
        local not_downloading = true
        filtermap['package'] = data['pkgName']
        filtermap['type']="not_downloading"
        not_downloading = mPhotonView:getParser():getTaskCenter():getFilterRunner():run("downloadfilter",filtermap,nil)
        while true do
            if(not_downloading == false)
            then
                break;
            end

            if(j<3)
            then
                local k = j+1
                data['slotid'] = mBinder:get('slotid') .. '_00' .. k
                mBinder:update("add_card_view1", "download_manage_recommend_card_item")
                mBinder:update("add_card_data1", data)
                mJavaBridge:addView("native_download_recommend_card_item.xml", "recommend_line1", nil, nil, data, nil)
                j = j+1
            elseif(j>=3 and j<6 and appCount >6)
            then
                local k = j+1
                data['slotid'] = mBinder:get('slotid') .. '_00' .. k
                mBinder:update("add_card_view2", "download_manage_recommend_card_item")
                mBinder:update("add_card_data2", data)
                mJavaBridge:addView("native_download_recommend_card_item.xml", "recommend_line2", nil, nil, data, nil)
                j=j+1
            end

            break
        end
        y = j
	end

    hideElement(y)
end


function hideElement(y)
    if(y <3) then
        mPhotonView:getParser():getTaskCenter():run("hide_recommend_card")
        return
    elseif (y <6 and y >=3) then
        mPhotonView:getParser():getTaskCenter():run("hide_line2")
    end
end
