local mPhotonView,mJavaBridge = ...

function load()
	local params = {}
	params["type"] = "3"
	params["appId"] = "52633436"
	params["cardType"] = 0
	params["parentId"] = 2
	params["flag"] = 0

	mJavaBridge:request(21, params, onRequestListener)
end

function onRequestListener(succeed, viewNameList, dataList)
	if( succeed == false ) then
		return;
	end

	onRequestSucceed(viewNameList, dataList)
end

function onRequestSucceed(viewNameList, dataList)
	local parent = mPhotonView:getParser():getBinder():get("oma_parent");
	if( viewNameList == nil or dataList == nil ) then
		return
	end

	local dataMap = dataList:get(0)
	local viewName = viewNameList:get(0)

	if( parent == nil ) then
		parent = mPhotonView:getParser():getID()
	end

	local oma_view = mJavaBridge:addView(viewName, parent, "", nil, dataMap)
	if( oma_view == null ) then
		return
	end

	mPhotonView:getParser():getBinder():update("oma_view", oma_view:getParser():getID())
end